com.hazelcast.nio

## Interface IOService

- All Known Implementing Classes:
    NodeIOService

      @PrivateApi
      public interface IOService

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `KILO_BYTE`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `com.hazelcast.internal.networking.InboundHandler[]` | `createInboundHandlers(EndpointQualifier qualifier, TcpIpConnection connection)`
    `com.hazelcast.internal.networking.OutboundHandler[]` | `createOutboundHandlers(EndpointQualifier qualifier, TcpIpConnection connection)`
    `void` | `executeAsync(Runnable runnable)`
    `com.hazelcast.client.impl.ClientEngine` | `getClientEngine()`
    `long` | `getConnectionMonitorInterval()`
    `int` | `getConnectionMonitorMaxFaults()`
    `EventService` | `getEventService()`
    `String` | `getHazelcastName()`
    `LoggingService` | `getLoggingService()`
    `MemcacheProtocolConfig` | `getMemcacheProtocolConfig()` Returns initialized `MemcacheProtocolConfig` for the node.
    `Collection<Integer>` | `getOutboundPorts(EndpointQualifier endpointQualifier)`
    `RestApiConfig` | `getRestApiConfig()` Returns initialized `RestApiConfig` for the node.
    `com.hazelcast.internal.serialization.InternalSerializationService` | `getSerializationService()`
    `int` | `getSocketConnectTimeoutSeconds(EndpointQualifier endpointQualifier)`
    `MemberSocketInterceptor` | `getSocketInterceptor(EndpointQualifier endpointQualifier)`
    `SSLConfig` | `getSSLConfig(EndpointQualifier endpointQualifier)`
    `SymmetricEncryptionConfig` | `getSymmetricEncryptionConfig(EndpointQualifier endpointQualifier)`
    `com.hazelcast.internal.ascii.TextCommandService` | `getTextCommandService()`
    `Address` | `getThisAddress()`
    `Map<EndpointQualifier,Address>` | `getThisAddresses()`
    `void` | `interceptSocket(EndpointQualifier endpointQualifier, Socket socket, boolean onAccept)`
    `boolean` | `isActive()`
    `boolean` | `isSocketBind()`
    `boolean` | `isSocketBindAny()`
    `boolean` | `isSocketInterceptorEnabled(EndpointQualifier endpointQualifier)`
    `void` | `onDisconnect(Address endpoint, Throwable cause)`
    `void` | `onFailedConnection(Address address)`
    `void` | `onFatalError(Exception e)`
    `void` | `onSuccessfulConnection(Address address)`
    `HazelcastProperties` | `properties()`
    `void` | `removeEndpoint(Address endpoint)`
    `void` | `shouldConnectTo(Address address)`

- - ### Field Detail

    - #### KILO_BYTE

          static final int KILO_BYTE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### isActive

          boolean isActive()

    - #### properties

          HazelcastProperties properties()

    - #### getHazelcastName

          String getHazelcastName()

    - #### getLoggingService

          LoggingService getLoggingService()

    - #### getThisAddress

          Address getThisAddress()

    - #### getThisAddresses

          Map<EndpointQualifier,Address> getThisAddresses()

      Returns:
        all server socket addresses of this Hazelcast member, as picked by the configured `AddressPicker`

    - #### onFatalError

          void onFatalError(Exception e)

    - #### getSymmetricEncryptionConfig

          SymmetricEncryptionConfig getSymmetricEncryptionConfig(EndpointQualifier endpointQualifier)

    - #### getRestApiConfig

          RestApiConfig getRestApiConfig()

      Returns initialized `RestApiConfig` for the node.

    - #### getMemcacheProtocolConfig

          MemcacheProtocolConfig getMemcacheProtocolConfig()

      Returns initialized `MemcacheProtocolConfig` for the node.

    - #### getSSLConfig

          SSLConfig getSSLConfig(EndpointQualifier endpointQualifier)

    - #### getClientEngine

          com.hazelcast.client.impl.ClientEngine getClientEngine()

    - #### getTextCommandService

          com.hazelcast.internal.ascii.TextCommandService getTextCommandService()

    - #### removeEndpoint

          void removeEndpoint(Address endpoint)

    - #### onSuccessfulConnection

          void onSuccessfulConnection(Address address)

    - #### onFailedConnection

          void onFailedConnection(Address address)

    - #### shouldConnectTo

          void shouldConnectTo(Address address)

    - #### isSocketBind

          boolean isSocketBind()

    - #### isSocketBindAny

          boolean isSocketBindAny()

    - #### interceptSocket

          void interceptSocket(EndpointQualifier endpointQualifier,
                               Socket socket,
                               boolean onAccept)
                        throws IOException

      Throws:
        `IOException`

    - #### isSocketInterceptorEnabled

          boolean isSocketInterceptorEnabled(EndpointQualifier endpointQualifier)

    - #### getSocketConnectTimeoutSeconds

          int getSocketConnectTimeoutSeconds(EndpointQualifier endpointQualifier)

    - #### getConnectionMonitorInterval

          long getConnectionMonitorInterval()

    - #### getConnectionMonitorMaxFaults

          int getConnectionMonitorMaxFaults()

    - #### onDisconnect

          void onDisconnect(Address endpoint,
                            Throwable cause)

    - #### executeAsync

          void executeAsync(Runnable runnable)

    - #### getEventService

          EventService getEventService()

    - #### getOutboundPorts

          Collection<Integer> getOutboundPorts(EndpointQualifier endpointQualifier)

    - #### getSerializationService

          com.hazelcast.internal.serialization.InternalSerializationService getSerializationService()

    - #### getSocketInterceptor

          MemberSocketInterceptor getSocketInterceptor(EndpointQualifier endpointQualifier)

    - #### createInboundHandlers

          com.hazelcast.internal.networking.InboundHandler[] createInboundHandlers(EndpointQualifier qualifier,
                                                                                   TcpIpConnection connection)

    - #### createOutboundHandlers

          com.hazelcast.internal.networking.OutboundHandler[] createOutboundHandlers(EndpointQualifier qualifier,
                                                                                     TcpIpConnection connection)

Copyright © 2020. All rights reserved.